## edu.msu.cme.rdp.classifier.comparison
Class UncNode.SampleDetailIterator

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.UncNode.SampleDetailIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  UncNode

     class UncNode.SampleDetailIterator

extends java.lang.Object
implements java.util.Iterator

Field Summary
`private float` `confCutoff`
`private Score` `curScore`
`private java.lang.Object` `onDeck`

Constructor Summary
`UncNode.SampleDetailIterator(Score s, float conf)`

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`
`private void` `setNextElement(Score score)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### onDeck

    private java.lang.Object onDeck

### curScore

    private Score curScore

### confCutoff

    private float confCutoff

Constructor Detail

### UncNode.SampleDetailIterator

    public UncNode.SampleDetailIterator(Score s,
                                        float conf)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### setNextElement

    private void setNextElement(Score score)

### remove

    public void remove()
                throws java.lang.UnsupportedOperationException

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.UnsupportedOperationException`